<?php

namespace pictpostpersonal;

interface RequestInterface
{
    public function urlPatternMatch(string $url_pattern): bool;

    public function getArgs(
        string $name,
        $default_value = null,
        int $filter = Request::FILTER_NONE,
        $filter_options = 0
    );

    public function getCookie(string $name, $default_value = null);

    public function getFile(string $name, $index = null);

    public function getFiles(string $name = ''): array;

    public function hasUploadErrors();
}
